> ## Documentation Index
> Fetch the complete documentation index at: https://docs.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search People

> Search and discover people based on a search query.

<Info>
  This endpoint allows you to search for people using Sales Navigator compatible search queries.

  **Credit Cost:** 1 credit per request + 1 credits per result. A full page of 25 results typically consumes 26 credits (1 + 25).
</Info>

Copy the query string from a Sales Navigator people search URL and use it as the `query` parameter.

**Example:** `(keywords%3Aceo)`

<Warning>
  Not all Sales Navigator filters are compatible. Account-specific filters cannot be used.
</Warning>


## OpenAPI

````yaml /v1/api/openapi.json get /people/search
openapi: 3.1.0
info:
  title: CD Automation External API
  description: This is the External API documentation for CD Automation
  version: dev
servers:
  - url: https://api.captaindata.com/v1
security:
  - XApiKeyAuth: []
paths:
  /people/search:
    get:
      tags:
        - public / live
      summary: Get data from captaindata people search
      operationId: getCaptaindataPeopleSearch
      parameters:
        - name: cursor
          in: query
          description: >-
            Cursor value obtained from the `X-Pagination-Next` response header
            of a previous request, used to continue pagination. Cursors expire
            after 24 hours. If a cursor has expired or is invalid, pagination
            must be restarted from the beginning.
          required: false
          schema:
            type: string
            title: Pagination Cursor
        - name: page_size
          in: query
          required: false
          description: >-
            Maximum number of results per page (read-only; defined by the
            endpoint, actual count may be lower in some cases like throttling or
            internal limits).
          schema:
            type: integer
            default: 25
            minimum: 25
            maximum: 25
        - name: query
          in: query
          required: true
          schema:
            examples:
              - (keywords:"Software Engineer")
            type: string
            description: >-
              A Sales Navigator People search compliant query param. Please copy
              the entire value of the query parameter from your LinkedIn Sales
              Navigator search URL (everything after ?query=) and paste it here.
            x-primary: true
            x-help: >-
              A Sales Navigator People search compliant query param. Please copy
              the entire value of the query parameter from your LinkedIn Sales
              Navigator search URL (everything after ?query=) and paste it here.
            in: query
          description: >-
            A Sales Navigator People search compliant query param. Please copy
            the entire value of the query parameter from your LinkedIn Sales
            Navigator search URL (everything after ?query=) and paste it here.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CaptaindataPeopleSearchOutput'
          headers:
            X-Pagination-Previous:
              schema:
                type: string
                format: uri
              description: Full URL to fetch the previous page of results, when available.
            X-Pagination-Next:
              schema:
                type: string
                format: uri
              description: Full URL to fetch the next page of results, when available.
        '400':
          $ref: '#/components/responses/BadRequest'
        '424':
          $ref: '#/components/responses/FailedDependency'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CaptaindataPeopleSearchOutput:
      type: object
      properties:
        uid:
          type: string
        full_name:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        job_title:
          type: string
        company_name:
          type: string
        summary:
          type: string
        location:
          type: string
        li_profile_id:
          type: integer
        li_profile_url:
          type: string
          format: uri
        li_profile_image_url:
          type: string
        li_company_id:
          type: integer
        job_start:
          type: string
          format: date-time
        job_end:
          type: string
          format: date-time
        job_time_period:
          type: string
        recently_hired:
          type: boolean
        recently_promoted:
          type: boolean
    BadRequest:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
    FailedDependency:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
    InternalServerError:
      title: APIError
      description: >-
        Represents an error returned by the API. This schema defines the
        standard structure of error messages to ensure consistent error handling
        across the application.
      type: object
      properties:
        error_label:
          type: string
          nullable: true
        error_scope:
          type: string
          enum:
            - input
            - integ
            - param
            - config
          nullable: true
        error_ref:
          type: string
          nullable: true
          example: ERR-12345
        message:
          type: string
        status_code:
          type: integer
          nullable: true
        params:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  type: string
          nullable: true
        data:
          type: object
          nullable: true
          additionalProperties: true
          description: Additional data about the error
      additionalProperties: false
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequest'
    FailedDependency:
      description: Failed Dependency
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailedDependency'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  securitySchemes:
    XApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````